
PREFS = Prefs.new()
PREFS:loadPrefs()

SCENEMANAGER = SceneManager.new({
  ["Gideros"] = Gideros,
  ["MySplash"]   = MySplash,
  ["Game"]    = Game,
})

stage:addChild(SCENEMANAGER)

SCENEMANAGER:changeScene(
  "Gideros", 1, SceneManager.fade, easing.linear, -- We start by showing the Gideros scene
  {
    userData = {
      onComplete = function() -- When the Gideros scene is complete it starts the Antix scene
        SCENEMANAGER:changeScene(
          "MySplash", 0.5, SceneManager.fade, easing.linear, 
          {
            userData = {
              onComplete = function() -- When the MySplash scene is complete it starts the Game scene
                SCENEMANAGER:changeScene(
                  "Game", 1, SceneManager.fade, easing.linear)
              end
            }
          })
      end
    }
  })
